/*$(document).ready(function() {
    var aspeed1 = 0.075;  
    var aspeed2 = 0.05;  
    var aspeed3 = 0.035;  
    var aspeed4 = 0.025;
    var pspeed1 = 0.2;   
    var pspeed2 = 0.25;   
    var pspeed3 = 0.35;  
    var pspeed4 = 0.35; 
    $('#fast2').on('click', function() {
        aspeed1 *= 2;
        aspeed2 *= 2;
        aspeed3 *= 2;
        aspeed4 *= 2;
    });

    $('#slow2').on('click', function() {
        aspeed1 /= 2;
        aspeed2 /= 2;
        aspeed3 /= 2;
        aspeed4 /= 2;
    });
    
    function spacedownbg() {
      var scpos = $(window).scrollTop();
      var time = new Date().getTime();
      var bgpos1 = -((time * aspeed1) % 4680) + (scpos * pspeed1);
      var bgpos2 = -((time * aspeed2) % 4680) + (scpos * pspeed2);
      var bgpos3 = -((time * aspeed3) % 4680) + (scpos * pspeed3);
      var bgpos4 = -((time * aspeed4) % 4680) + (scpos * pspeed4);
  
      $('#spacescroll').css('background-position', '0px ' + -bgpos1 + 'px');
      $('#spacescroll2').css('background-position', '0px ' + -bgpos2 + 'px');
      $('#spacescroll3').css('background-position', '0px ' + -bgpos3 + 'px');
      $('#spacescroll4').css('background-position', '0px ' + -bgpos4 + 'px');
  
      requestAnimationFrame(spacedownbg);
    }
  spacedownbg();
  });*/

document.addEventListener("DOMContentLoaded", function() {
    function displayDailyFact(jsonUrl, elementId) {
        fetch(jsonUrl + '?v=' + new Date().getTime())
            .then(response => response.json())
            .then(data => {
                const factsArray = data.facts.map(fact => fact.toLowerCase());

                if (factsArray && factsArray.length > 0) {
                    const today = new Date();
                    const startOfYear = new Date(today.getFullYear(), 0, 0);
                    const dayOfYear = Math.floor((today - startOfYear) / (1000 * 60 * 60 * 24));
                    
                    const seed = dayOfYear;
                    const factIndex = Math.abs(Math.floor((Math.sin(seed) * 10000) % factsArray.length)) - 1;
                    const fact = factsArray[factIndex];
                    document.getElementById(elementId).innerText = fact;
                    console.log(factsArray, factIndex)
                    
                    
                    
                } else {
                    document.getElementById(elementId).innerText = "No facts available";
                }
            })
            .catch(error => {
                console.error('Error:', error);
                document.getElementById(elementId).innerText = "Error occurred";
            });
    };

   

    displayDailyFact('jsons/space_facts.json', 'facttaker');
    displayDailyFact('jsons/norm_facts.json', 'facttaker1');
    
});


/*        
document.addEventListener("DOMContentLoaded", function() {
        function displayMinuteFact(jsonUrl, elementId) {
            fetch(jsonUrl + '?v=' + new Date().getTime())
                .then(response => response.json())
                .then(data => {
            const factsArray = data.facts.map(fact => fact.toLowerCase());
           
            if (factsArray && factsArray.length > 0) {
                const now = new Date();
                const minutesOfDay = now.getHours() * 60 + now.getMinutes();

                const seed = minutesOfDay;
                const factIndex = Math.abs(Math.floor((Math.sin(seed) * 10000) % factsArray.length));

                const fact = factsArray[factIndex];
                document.getElementById(elementId).textContent = fact; 
                 
            } else {
                document.getElementById(elementId).textContent = "No facts available";
            };
        })
    .catch(error => {
            console.error('Error:', error);
            document.getElementById(elementId).textContent = "Error occurred";
        });
    };
    function updateFactsEveryMinute() {
    displayMinuteFact('jsons/fast_facts.json', 'facttaker2');
    }
updateFactsEveryMinute();
setInterval(updateFactsEveryMinute, 60000);
});*/

$(document).ready(function() {
    
    
    $('#fast').on('click', function() {
        let cduration = parseFloat($('#orbeit').css('animation-duration'));
        $('#orbeit').css('animation-duration', cduration / 2 + 's');
        
    toofast();  
});
    
 

$('#slow').on('click', function() {
    let cduration = parseFloat($('#orbeit').css('animation-duration'));
    $('#orbeit').css('animation-duration', cduration * 2 + 's');
    
    toofast();
  });
});

function toofast() {
    if ($('#orbeit').css('animation-duration') <= '0.25') {
        
        $('#orbeit').addClass('toofastorbit');
        $('#orbeit').removeClass('orbit');
      } else {
        
        $('#orbeit').addClass('orbit');
        $('#orbeit').removeClass('toofastorbit');
      }
    }
    
toofast()


function epochYears() {
    let now = new Date();
    
    let hours = now.getHours().toLocaleString();
    let minutes = now.getMinutes().toLocaleString();
    let seconds = now.getSeconds().toLocaleString();
    if (seconds < 10) {
        seconds = "0" + seconds
    };
    if (minutes < 10) {
        minutes = "0" + minutes
    };
    if (hours < 10) {
        hours = "0" + hours
    };
    document.getElementById("epochyears").innerHTML = hours + ":" + minutes + ":" + seconds;
    
    
    let timeout = setTimeout(epochYears, 1000);
    

};

var documentTitle = document.title + "  ";

(function titleMarquee() {
    document.title = documentTitle = documentTitle.substring(1) + documentTitle.substring(0,1);
    setTimeout(titleMarquee, 200);
})();

